%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   The following function should return approximated value
%   of ODE system (1.3) with theta = 1.
%   
%   Use Newton's method to solve implicit equation here!
%
%   Function declaration:
%   function sol = ImplicitMethod(odefun, x0, T0, dt, tol)
%
%   Input parameters:
%       odefun: Right-hand side of ODE system
%           x0: Initial value
%           T0: End time of simulation
%           dt: Step size
%          tol: Error tolerance of Newton's method
%
%   Output parameter:
%          sol: Approximated result of ODE system at time T0
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%   ATTENTION!
%   
%   DO NOT USE 0 AS THE INITIAL GUESS OF NEWTON'S METHOD
%   SUGGESTED GUESS: 0.5 OR 1
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function sol = ImplicitMethod(odefun, x0, T0, dt, tol)

    % Step number
    step_n = floor(T0/dt);
     
    
    % Your initializations here
    
    
    % Iteration of implicit method
    
    
    for i =  
    
        
        % Loop of Newton's method
        
        
        while 
            
            
        end
        
        % Store result of this step
        
        
    end
    

end